Package com.independentsoft.office.odf

# Class TableOfContentsSource

java.lang.Object
com.independentsoft.office.odf.TableOfContentsSource

public class TableOfContentsSource extends Object
Represents how a table of contents is generated. It also specifies the styles to be applied to index entries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableOfContentsSource()`
  Initializes a new instance of the TableOfContentsSource class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableOfContentsSource`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<TableOfContentsEntryTemplate>`
  `getEntryTemplates()`
  Contains a collection of TableOfContentsEntryTemplate objects.
  `IndexScope`
  `getIndexScope()`
  Specifies whether an index is constructed for an entire document or for a chapter.
  `List<IndexSourceStyles>`
  `getIndexSourceStyles()`
  Contains a collection of IndexSourceStyle objects.
  `IndexTitleTemplate`
  `getIndexTitleTemplate()`
  Gets the style and content of the index title.
  `int`
  `getOutlineLevel()`
  Specifies which outline levels are used when generating a table of contents.
  `boolean`
  `isRelativeTabStopPosition()`
  Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
  `void`
  `setIndexMarks​(boolean useIndexMarks)`
  Specifies whether table of contents index marks are used to generate index entries.
  `void`
  `setIndexScope​(IndexScope indexScope)`
  Specifies whether an index is constructed for an entire document or for a chapter.
  `void`
  `setIndexSourceStyles​(boolean useIndexSourceStyles)`
  Specifies whether index entries are generated for paragraphs formatted using the paragraph styles.
  `void`
  `setIndexTitleTemplate​(IndexTitleTemplate indexTitleTemplate)`
  Sets the style and content of the index title.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Specifies which outline levels are used when generating a table of contents.
  `void`
  `setRelativeTabStopPosition​(boolean isRelativeTabStopPosition)`
  Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
  `void`
  `setUseOutlineLevel​(boolean useOutlineLevel)`
  Specifies whether headings are used to generate index entries.
  `String`
  `toString()`
  Converts the value of the current TableOfContentsSource object to its equivalent string representation.
  `boolean`
  `useIndexMarks()`
  Specifies whether table of contents index marks are used to generate index entries.
  `boolean`
  `useIndexSourceStyles()`
  Specifies whether index entries are generated for paragraphs formatted using the paragraph styles.
  `boolean`
  `useOutlineLevel()`
  Specifies whether headings are used to generate index entries.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableOfContentsSource

    public TableOfContentsSource()
    Initializes a new instance of the TableOfContentsSource class.

- ## Method Details

  - ### clone

    public TableOfContentsSource clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TableOfContentsSource object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getEntryTemplates

    public List<TableOfContentsEntryTemplate> getEntryTemplates()
    Contains a collection of TableOfContentsEntryTemplate objects.
    Returns:
      the entry templates

  - ### getIndexSourceStyles

    public List<IndexSourceStyles> getIndexSourceStyles()
    Contains a collection of IndexSourceStyle objects.
    Returns:
      the index source styles

  - ### getIndexTitleTemplate

    public IndexTitleTemplate getIndexTitleTemplate()
    Gets the style and content of the index title.
    Returns:
      the index title template

  - ### setIndexTitleTemplate

    public void setIndexTitleTemplate​(IndexTitleTemplate indexTitleTemplate)
    Sets the style and content of the index title.
    Parameters:
      `indexTitleTemplate` - the new index title template

  - ### getOutlineLevel

    public int getOutlineLevel()
    Specifies which outline levels are used when generating a table of contents. The value of this attribute shall be an integer greater than zero. If this attribute is omitted, all outline levels are used by default.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Specifies which outline levels are used when generating a table of contents. The value of this attribute shall be an integer greater than zero. If this attribute is omitted, all outline levels are used by default.
    Parameters:
      `outlineLevel` - the new outline level

  - ### useOutlineLevel

    public boolean useOutlineLevel()
    Specifies whether headings are used to generate index entries.
    Returns:
      true, if successful

  - ### setUseOutlineLevel

    public void setUseOutlineLevel​(boolean useOutlineLevel)
    Specifies whether headings are used to generate index entries.
    Parameters:
      `useOutlineLevel` - the new use outline level

  - ### useIndexMarks

    public boolean useIndexMarks()
    Specifies whether table of contents index marks are used to generate index entries.
    Returns:
      true, if successful

  - ### setIndexMarks

    public void setIndexMarks​(boolean useIndexMarks)
    Specifies whether table of contents index marks are used to generate index entries.
    Parameters:
      `useIndexMarks` - the new index marks

  - ### useIndexSourceStyles

    public boolean useIndexSourceStyles()
    Specifies whether index entries are generated for paragraphs formatted using the paragraph styles.
    Returns:
      true, if successful

  - ### setIndexSourceStyles

    public void setIndexSourceStyles​(boolean useIndexSourceStyles)
    Specifies whether index entries are generated for paragraphs formatted using the paragraph styles.
    Parameters:
      `useIndexSourceStyles` - the new index source styles

  - ### getIndexScope

    public IndexScope getIndexScope()
    Specifies whether an index is constructed for an entire document or for a chapter.
    Returns:
      the index scope

  - ### setIndexScope

    public void setIndexScope​(IndexScope indexScope)
    Specifies whether an index is constructed for an entire document or for a chapter.
    Parameters:
      `indexScope` - the new index scope

  - ### isRelativeTabStopPosition

    public boolean isRelativeTabStopPosition()
    Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
    Returns:
      true, if is relative tab stop position

  - ### setRelativeTabStopPosition

    public void setRelativeTabStopPosition​(boolean isRelativeTabStopPosition)
    Specifies whether the position of tab stops is relative to the left margin or to the left indent as determined by the paragraph style.
    Parameters:
      `isRelativeTabStopPosition` - the new relative tab stop position